import {
	WeaTools
} from 'ecCom'

export const getRight = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/getButtonMenu', 'POST', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/getCompensationTargetMaintCondition', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/getCompensationTargetMaintList', 'POST', params);
}

export const getSubordinateTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/getCompensationTargetMaint', 'POST', params);
}

export const getTableEditDatas = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/getCompensationTargetMaintForm?is_multilang_set=true', 'POST', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/addCompensationTargetMaint', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/editCompensationTargetMaint', 'POST', params);
}

export const deleteTableRows = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/delCompensationTargetMaint', 'POST', params);
}

export const getEditorForm = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/getCompensationTargetMaintObj?is_multilang_set=true', 'POST', params);
}

export const getEditorAuth = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/getTargetMaintButtonMenu', 'POST', params);
}

export const submit = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/importCompensationTargetMaint', 'POST', params);
}

export const getImportTemplate = (params) => {
	return WeaTools.callApi('/api/hrm/finance/compensationmaint/getImportTemplate', 'GET', params);
}